Loading...
Searching...
No Matches
volk_rank_archs.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <volk/volk_prefs.h>`
`#include <volk_rank_archs.h>`

## Functions

int | volk_get_index (const char *impl_names[], const size_t n_impls, const char *impl_name)
int | volk_rank_archs (const char *kern_name, const char *impl_names[], const int *impl_deps, const bool *alignment, size_t n_impls, const bool align)

## Function Documentation

## volk_get_index()

int volk_get_index | ( | const char * | impl_names[],
|  | const size_t | n_impls,
|  | const char * | impl_name )

## volk_rank_archs()

int volk_rank_archs | ( | const char * | kern_name,
|  | const char * | impl_names[],
|  | const int * | impl_deps,
|  | const bool * | alignment,
|  | size_t | n_impls,
|  | const bool | align )